View Issue Details

IDProjectCategoryView StatusLast Update
16395Bug reportsOtherpublic2020-07-29 23:04
Reporterpedroj11 Assigned Tocdorin  
PrioritynoneSeveritycrash 
Status closedResolutionfixed 
Product Version4.3.0 
Summary16395: file upload crash randomly
Description

when trying to attach a file to the survey, the following message appears randomly.


/encuestas/index.php/uploader/index/mode/upload/sid/711897/preview/0/fieldname/711897X154X2753/


sometimes it appears and sometimes not, it doesn't matter the browser (chrome-firefox ..) , but once this appears, nothing can be done

Steps To Reproduce

enter here

http://fremccoo.com/encuestas/index.php/711897?newtest=Y

and try to upload files -sometimes it works, sometimes not -

TagsNo tags attached.
Complete LimeSurvey version number (& build)Versión 4.3.0+200616
I will donate to the project if issue is resolvedNo
Browserchrome / Firefox / iexplorer / edge
Database & DB-Version versión 426
Server OS (if known)
Webserver software & version (if known)
PHP Version7.3

Relationships

related to 16415 closed can't upload files with Google Chrome 

Activities

sushmanadendla

sushmanadendla

2020-06-18 14:27

manager   ~58330

Last edited: 2020-06-18 16:29

View 3 revisions

Issue exist .

pedroj11

pedroj11

2020-06-21 19:14

reporter   ~58366

hello, in case you can be of help ...
I have verified that the error happens almost always when trying to upload the file with the same name, if it is renamed, it allows uploading without problems

DenisChenu

DenisChenu

2020-06-22 08:40

developer   ~58368

I have verified that the error happens almost always when trying to upload the file with the same name, if it is renamed, it allows uploading without problems

OK : but : what is the name …

pedroj11

pedroj11

2020-06-22 09:43

reporter   ~58371

Hello!
I give you an example ...

  • case 1: I try to upload a file called doc1.jpg, if I cancel the upload at that time, but I try to upload it again immediately ... the error occurs
  • case 2: you have to upload 2 files ... file 1 is c:\files\doc1.jpg, file 2 is c:\docs\doc1.jpg (files with the same name in different directories)
    In this case, the error also appears.

in both cases, if the second time you try to upload the file it is renamed, for example to doc111.jpg, it allows you to upload it.
I suppose there must be a problem generating the temporary file name.

thanks for your attention

DenisChenu

DenisChenu

2020-06-23 13:18

developer   ~58399

Sh … can not reproduce on Linux station/ Firefox

DenisChenu

DenisChenu

2020-06-23 13:19

developer   ~58400

cdorin

cdorin

2020-07-29 23:04

manager   ~59180

Full story on 16415

Issue History

Date Modified Username Field Change
2020-06-18 12:59 pedroj11 New Issue
2020-06-18 14:27 sushmanadendla Status new => confirmed
2020-06-18 14:27 sushmanadendla Note Added: 58330
2020-06-18 15:59 sushmanadendla Note Edited: 58330 View Revisions
2020-06-18 16:29 sushmanadendla File Deleted: FileUpload_16395.png
2020-06-18 16:29 sushmanadendla Note Edited: 58330 View Revisions
2020-06-21 19:14 pedroj11 Note Added: 58366
2020-06-22 08:40 DenisChenu Note Added: 58368
2020-06-22 09:43 pedroj11 Note Added: 58371
2020-06-23 11:18 DenisChenu Relationship added related to 16415
2020-06-23 13:18 DenisChenu Note Added: 58399
2020-06-23 13:19 DenisChenu Note Added: 58400
2020-06-23 13:19 DenisChenu File Added: Capture d’écran du 2020-06-23 13-18-35.png
2020-07-29 23:04 cdorin Assigned To => cdorin
2020-07-29 23:04 cdorin Status confirmed => closed
2020-07-29 23:04 cdorin Resolution open => fixed
2020-07-29 23:04 cdorin Note Added: 59180